# Interface UnivariateStats.ArrayStats

Enclosing class:
  `UnivariateStats`

public static interface UnivariateStats.ArrayStats
Aggregates statistics acquired from a column whose values are fixed-length numeric arrays.

Since:
  27 Apr 2006
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`long[]`
`getCounts()`
Returns a per-element count of the number of non-blank elements of submitted arrays.
`int`
`getLength()`
Returns array length.
`double[]`
`getSum1s()`
Returns a per-element sum of the non-blank elements of submitted arrays.
`double[]`
`getSum2s()`
Returns a per-element sum of squares of the non-blank elements of submitted arrays.

## Method Details

### getLength

int getLength()
Returns array length.

Returns:
  fixed array length

### getCounts

long[] getCounts()
Returns a per-element count of the number of non-blank elements of submitted arrays.

Returns:
  n-value array of good value counts

### getSum1s

double[] getSum1s()
Returns a per-element sum of the non-blank elements of submitted arrays.

Returns:
  n-value array of per-element sums

### getSum2s

double[] getSum2s()
Returns a per-element sum of squares of the non-blank elements of submitted arrays.

Returns:
  n-value array of per-element sums of squares